## translate-common

translate-common — common declarations

## Synopsis

    gboolean    (*TranslateProgressFunc)        (double progress,
                                                 gpointer user_data);

## Description

The following declaration is used in several places.

## Details

### TranslateProgressFunc ()

    gboolean    (*TranslateProgressFunc)        (double progress,
                                                 gpointer user_data);

Specifies the type of function which is called when a task has just progressed.

`progress` : | the task progress from 0.0 to 1.0 inclusive, or -1 if the progress is not known.
`user_data` : | data associated with the function.
Returns : | the function should return `FALSE` if the task must be cancelled.